# $Revision: 1.18 $, $Date: 2004/04/24 15:01:11 $
#
# Conditional build:
%bcond_without	arts		# without aRts audio plugin
%bcond_without	esd		# without EsounD audio output plugin
%bcond_without	nas		# without NAS audio output plugin
%bcond_without	xmms		# without XMP as XMMS plugin
%bcond_with	nonfree		# with ppunpack and fmopl (GPL-incompatible - non-distributable)
#
Summary:	Extended Module Player
Summary(pl):	Rozszerzony odtwarzacz moduw
Name:		xmp
Version:	2.0.5
%define	pver	pre3
Release:	0.%{pver}.3
License:	GPL%{?with_nonfree: with non-commercial additions}
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}%{pver}.tar.bz2
# Source0-md5:	749db9c8da956b403a959b4c8b909447
Patch0:		%{name}-gcc33.patch
Patch1:		%{name}-fix-shared.patch
Patch2:		%{name}-load-fix.patch
Patch3:		%{name}-nondfsg.patch
URL:		http://xmp.sourceforge.net/
BuildRequires:	XFree86-devel
%{?with_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel}
%{?with_nas:BuildRequires:	nas-devel}
%{?with_xmms:BuildRequires:	rpmbuild(macros) >= 1.125}
%{?with_xmms:BuildRequires:	xmms-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmp is a multi-format module player for UNIX. In machines with GUS or
AWE cards xmp takes advantage of the OSS sequencer to play modules
with virtually no system load. Using software mixing, xmp plays at
sampling rates up to 48kHz in mono or stereo, 8 or 16 bits, signed or
unsigned, little or big endian samples with 32 bit linear
interpolation.

%description -l pl
xmp jest odtwarzaczem moduw w wielu formatach. Potrafi obsuy
karty GUS i AWE, korzystajc z sekwencera OSS, aby nie obcia
systemu. Uywajc programowego miksowania, moe odgrywa z
czstotliwoci prbkowania do 48kHz mono lub stereo, 8 lub 16 bitw,
prbki ze znakiem lub bez, little- lub big-endian z 32-bitow
interpolacj.

%package X11
Summary:	Extended Module Player with GUI
Summary(pl):	Rozszerzony odtwarzacz moduw z graficznym interfejsem
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description X11
Extended Module Player with GUI.

%description X11 -l pl
Rozszerzony odtwarzacz moduw z graficznym interfejsem.

%package output-arts
Summary:	aRts audio output plugin for XMP
Summary(pl):	Wtyczka wyjcia dwiku aRts dla XMP
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description output-arts
aRts audio output plugin for XMP.

%description output-arts -l pl
Wtyczka wyjcia dwiku aRts dla XMP.

%package output-esd
Summary:	EsounD audio output plugin for XMP
Summary(pl):	Wtyczka wyjcia dwiku EsounD dla XMP
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description output-esd
EsounD audio output plugin for XMP.

%description output-esd -l pl
Wtyczka wyjcia dwiku EsounD dla XMP.

%package output-nas
Summary:	NAS audio output plugin for XMP
Summary(pl):	Wtyczka wyjcia dwiku NAS dla XMP
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description output-nas
NAS audio output plugin for XMP.

%description output-nas -l pl
Wtyczka wyjcia dwiku NAS dla XMP.

%package -n xmms-input-xmp
Summary:	XMMS plugin that uses XMP library to play music modules
Summary(pl):	Wtyczka XMMS odtwarzajca moduy dwikowe z uyciem XMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	xmms

%description -n xmms-input-xmp
XMMS plugin that uses XMP library to play music modules.

%description -n xmms-input-xmp -l pl
Wtyczka XMMS odtwarzajca moduy dwikowe z uyciem biblioteki XMP.

%prep
%setup -q -n %{name}-%{version}-%{pver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?with_nonfree:%patch3 -p1}

%build
cp -f /usr/share/automake/config.* scripts
%{__aclocal}
%{__autoconf}
# alsa disabled - only 0.5 supported for now
%configure \
	--disable-alsa \
	%{!?with_arts:--disable-arts} \
	%{!?with_esd:--disable-esd} \
	%{!?with_nas:--disable-nas} \
	%{!?with_xmms:--disable-xmms} \
	--enable-dynamic
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DEST_DIR=$RPM_BUILD_ROOT \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README docs/{CREDITS,ChangeLog,README.{awebug,fixloop,ppunpack,trackers,unsqsh},formats} etc/magic
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/xmp*.conf
%attr(755,root,root) %{_bindir}/xmp
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/xmp
%dir %{_libdir}/xmp/drivers
%attr(755,root,root) %{_libdir}/xmp/drivers/oss*.so
%{_mandir}/man1/xmp.1*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xxmp
%{_mandir}/man1/xxmp.1*

%if %{with arts}
%files output-arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmp/drivers/arts.so
%endif

%if %{with esd}
%files output-esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmp/drivers/esd.so
%endif

%if %{with nas}
%files output-nas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmp/drivers/nas.so
%endif

%if %{with xmms}
%files -n xmms-input-xmp
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_input_plugindir}/*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmp.spec,v $
Revision 1.18  2004/04/24 15:01:11  qboosh
- strict internal deps, fixed xmms- dep, release .3

Revision 1.17  2004/02/15 13:27:04  eothane
- bcond style, changelog cleanups

Revision 1.16  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.15  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.14  2003/07/24 00:35:02  ankry
- updated md5

Revision 1.13  2003/07/23 22:54:28  qboosh
- up to last available version (2.0.5pre3)
- added gcc33, fix-shared, load-fix patches
- added only conditionally applied nondfsg patch (license incompatible with GPL)
  (code taken from previous xmp release)
- split into subpackages (arts build not tested yet)

Revision 1.12  2003/05/28 13:03:10  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:28:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/16 00:17:04  qboosh
- whitened xxmp paths, fixed build on athlon

Revision 1.9  2003/03/15 11:46:41  rrw
- version 2.0.4;
- release 1;

Revision 1.8  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.7  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/05/21 23:15:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/11 10:41:25  qboosh
- pl translations, BuildRequires: autoconf,automake

Revision 1.2  2001/09/18 19:58:34  blues
- release 2
- ac2.5 ready

Revision 1.1  2001/01/09 17:53:18  qboosh
- updated to 2.0.3

* Thu Feb 24 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- updated to 2.0.1

* Fri Feb 04 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- updated to 2.0.0 final
- changed the etc/Makefile patch to work with new version

* Fri Jan 14 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed .spec and rebuilt for RH6.1
- added a patch for etc/Makefile to put conf files in $RPM_BUILD_ROOT

* Thu Sep 16 1999 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- built package for RH6 (no ALSA support)
